--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")
local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
local InkedColors = {r = playerColor.r*0.75, g = playerColor.g*0.75,b = playerColor.b*0.75,a = 1}
local InCombatLockdown      = _G.InCombatLockdown;

local function CreateMoverBackdrop(frame)
   frame:SetBackdrop({bgFile = "Interface\\Buttons\\WHITE8x8",
        insets = {top = -2, left = -2, bottom = -2, right = -2}})
		frame:SetBackdropColor(0,0.55,0.95,0.45)
		frame:SetBackdropBorderColor(0,0,0,1)
end

	local VehicleX = 10
	local VehicleY = -50

	local MyVehicleFrame = CreateFrame("Frame",nil,UIParent, BackdropTemplateMixin and "BackdropTemplate")
	
		MyVehicleFrame:SetWidth(150)
		MyVehicleFrame:SetHeight(150)
		MyVehicleFrame:SetScale(1)
		MyVehicleFrame:ClearAllPoints()
		MyVehicleFrame:SetPoint("TOPLEFT",UIParent,10,-50)
		
		
	local Mover = CreateFrame("Frame","VehicleDrag",UIParent, BackdropTemplateMixin and "BackdropTemplate")
	Mover:SetSize(150,150)
	Mover:SetPoint("CENTER",MyVehicleFrame,"CENTER",0,0)
	Mover:SetClampedToScreen(true)
	Mover:SetClampRectInsets(0, 0, 0,0)
	local MoverText  = Mover:CreateFontString(nil, "OVERLAY")
	MoverText:SetFont("Interface\\Addons\\Inked\\Fonts\\Cooline.TTF", 15, "OUTLINE")
	MoverText:SetPoint("CENTER",Mover,"CENTER", 0,0); 
	MoverText:SetText("")
		
	local function moveVehicle()
	VehicleSeatIndicatorBackgroundTexture:SetAlpha(1)
	VehicleSeatIndicator:ClearAllPoints();
	VehicleSeatIndicator:SetPoint("CENTER",MyVehicleFrame,0,0)
		if Inked.db.profile.lockframes == false then 
			local point, relativeTo, relativePoint, xOfs, yOfs = MyVehicleFrame:GetPoint(n)
				Inked.db.profile.VehicleX = xOfs
				Inked.db.profile.VehicleY = yOfs
				--Inked.db.profile.MicroMenuPoint = point
			
			MyVehicleFrame:ClearAllPoints()
		--	MyVehicleFrame:SetPoint("TOPLEFT",UIParent,VehicleX,VehicleY)
			MyVehicleFrame:SetMovable(true)
				MyVehicleFrame:EnableMouse(true)
				MyVehicleFrame:RegisterForDrag("LeftButton")
				MyVehicleFrame:SetScript("OnDragStart", MyVehicleFrame.StartMoving)
				MyVehicleFrame:SetScript("OnDragStop", MyVehicleFrame.StopMovingOrSizing)
				MyVehicleFrame:SetUserPlaced(true)
			Mover:SetFrameLevel(5)
			Mover:Show()
			MoverText:SetText("Vehicle")
			CreateMoverBackdrop(Mover)
		
		end

	end
	MyVehicleFrame:HookScript("OnUpdate", moveVehicle)
	
	local CheckDB = CreateFrame("Frame")
		CheckDB:RegisterEvent("PLAYER_ENTERING_WORLD")
		CheckDB:SetScript("OnEvent", function()
		
		
			VehicleX = Inked.db.profile.VehicleX
			VehicleY = Inked.db.profile.VehicleY
			MyVehicleFrame:ClearAllPoints()
			MyVehicleFrame:SetPoint("TOPLEFT",UIParent,VehicleX,VehicleY)
	
				
	end)

local InkedLoginFrame=CreateFrame("Frame")
		InkedLoginFrame:RegisterEvent("PLAYER_LOGIN")
		InkedLoginFrame:RegisterEvent("CINEMATIC_STOP")
		InkedLoginFrame:SetScript("OnEvent", function(self, event) 
												
		end)